%% Plotter lypeprofil
%a=gpxread('50147.gpx');
y=a.Elevation;
y(1)=0;y(end)=0;
%y=y-yy;
x=1:(9100/length(y)):9100;
x=x/100;
b=zeros(1,length(x));
h14=fill(x,y,'b','FaceAlpha',0.4);
title('Lypeprofil')
xlabel('Kilometer')
ylabel('Hydemeter')
xlim([0 90.5])
close all;
%% Lager alle bokplottene
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
clear i k j
figure()
for i=1:length(highTroP)
    les=highTroP{i,4}(1:end,1);
    plot(les);hold on
end
hold off
title('Hjerterate til de med problemer')

% % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
figure()
for j=1:length(highTroU)
    lest=highTroU{j,4}(1:end,1);
    plot(lest,'r');hold on
end
hold off
title('Hjerterate til de uten problemer')

% % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
figure()
for k=1:length(lowTro)
    leste=lowTro{k,4}(1:end,1);
    plot(leste,'r');hold on
end
hold off
title('Hjerterate til de med lav troponin')
clear i k j
%% Plotter alle boksplottene i samme figur
clear i j k lesP lesU lesL lowTroBox highTroPBox highTroUBox
close all;
%load filer1
%str=4; % Velger ikke-normaliserte data
str=6; %Velger normaliserte data
%c=-1;
c=88000;d=90000;
%c=20000;d=22000;
%c=10000;d=12000;
%c=69100; d=70400;
%c=72800; d=73500;
%c=60000; d=62000;
%c=35000;d=37000;
%c=42000;d=44000;
%c=70000;d=72000;
% % % % % % % % % % % % % % % % % % % % % % % % % % % % %


highTroPBox=[];highTroUBox=[];lowTroBox=[];h=1;k=1;l=1;
for i=1:length(filer1)
    h=1;k=1;l=1;lesP=[];lesU=[];lesL=[];
    %d=filer1{i,2}(end,3); %M kommenteres bort
    if filer1{i,5}==0
        x=filer1{i,2}(:,3);
        for j=1:length(x)
            if (x(j)>c && x(j)<d)
                lesP(h,1)=filer1{i,str}(j,1);
                h=h+1;
            end
        end
        highTroPBox=vertcat(highTroPBox,lesP);
    end
    if filer1{i,5}==1
        x=filer1{i,2}(:,3);
        for j=1:length(x)
            if (x(j)>c && x(j)<d)
                lesU(k,1)=filer1{i,str}(j,1);
                k=k+1;
            end
        end
        highTroUBox=vertcat(highTroUBox,lesU);
    end
    if filer1{i,5}==2
        x=filer1{i,2}(:,3);
        for j=1:length(x)
            if (x(j)>c && x(j)<d)
                lesL(l,1)=filer1{i,str}(j,1);
                l=l+1;
            end
        end
        lowTroBox=vertcat(lowTroBox,lesL);
    end
end
m1=median(highTroPBox);
m2=median(highTroUBox);
m3=median(lowTroBox);
% % % % % % % % % % % % % % % % % % % % % % % % % % % % %
% % % % % % % % % % % % % % % % % % % % % % % % % % % % %
% % % % % % % % % % % % % % % % % % % % % % % % % % % % %
boxplot(lowTroBox,'notch','on','labels',{'mu=5'},'colors','b','positions',.8,'width',0.18);hold on
boxplot(highTroUBox,'notch','on','labels',{'mu=6'},'colors','b','positions',1,'width',0.18); hold on
boxplot(highTroPBox,'notch','on','labels',{'mu=7'},'colors','b','positions',1.2,'width',0.18);hold off
%ylim([100 220]);
%axis 'auto y'
ylim([80 200]);
xlim([.6 1.4]);
title('Lav Troponin        Hy Trop u/prob     Hy Trop m/prob')
X=vertcat(lowTroBox,highTroUBox,highTroPBox);
group=vertcat(ones(length(lowTroBox),1),(ones(length(highTroUBox),1)*2),(ones(length(highTroPBox),1)*3));
% Informasjon rundt Boxplot-ene
% Det er 50 % av verdiene som er inne i selve boksene.
% Det ser ikke ut til  vre en boks, men heller 3 streker
% Nedre streken av plottet er 25%, midterste er 50% og verste
% er 75%. Dette gjr at det blir totalt 50% inne i boksen.

% Strekene man finner ovenfor og nedenfor boksen er whiskers.
% Disse viser hvor verdiene ligger og fordelingen rundt de.

%% Boxplot for medianene til deltagerne i gruppene
k=1;l=1;m=1;
str=6;
for i=1:length(filer1)
    if filer1{i,5}==0
        x=filer1{i,str};
        a(k,1)=median(x);
        k=k+1;
    end
    if filer1{i,5}==1
        x=filer1{i,str};
        b(l,1)=median(x);
        l=l+1;
    end
    if filer1{i,5}==2
        x=filer1{i,str};
        c(m,1)=median(x);
        m=m+1;
    end
end

boxplot(a,'notch','on','labels',{'HTM'},'colors','b','positions',1,'width',0.18);hold on
boxplot(c,'notch','on','labels',{'LT'},'colors','b','positions',1.4,'width',0.18);hold on
boxplot(b,'notch','on','labels',{'HTU'},'colors','b','positions',1.2,'width',0.18); hold off
axis 'auto y'

