function [ pwxer ] = readingPwx(d21,type,sorter,pwddir)
% Rekkeflge p de forskjellige variablene.
% Tid - Heartrate - Fart - Breddegrader - Lengdegrader - Elevasjon

%Funksjon for  lese inn TCX-filene
k = strfind(type,'pwx');
kk=find(not(cellfun('isempty',k)))
indexPwx=sorter{1,kk};
expression = '<(\w+).*>(.*)</\1>'; 
string0='<timeoffset>';
string1='<hr>';
string2='<spd>';
string3='<dist>';
string4='<lat>';
string5='<lon>';
string6='<alt>';
for k=1:length(indexPwx)
%for k=1:1
    l0=1;l1=1;l2=1;l3=1;l4=1;l5=1;l6=1;
    f0=[];f1=[];f2=[];f3=[];f4=[];f5=[];f6=[];
    fullFilePwx=fullfile(pwddir,d21{indexPwx(k),1});
    name=d21{indexPwx(k),1};
    name=name(:,1:5);
    stringPwx=char(fullFilePwx)
    FID=fopen(stringPwx);
    stra=fgetl(FID);
    while ischar(stra)
        c0=strfind(stra,string0); % Time
        c1=strfind(stra,string1); % Heartrate
        c2=strfind(stra,string2); % Speed
        c3=strfind(stra,string3); % Distance
        c4=strfind(stra,string4); % Latitude
        c5=strfind(stra,string5); % Longitude
        c6=strfind(stra,string6); % Elevation
        
        d0=isempty(c0);
        d1=isempty(c1);
        d2=isempty(c2);
        d3=isempty(c3);
        d4=isempty(c4);
        d5=isempty(c5);
        d6=isempty(c6);
        if (d0==0) %Time
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e0=tokens{1}{2};
            f0{l0}=e0;
            l0=l0+1;
        end
        if (d1==0) %Heartrate
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e1=tokens{1}{2};
            f1{l1}=e1;
            l1=l1+1;
        end
        if (d2==0) % Speed
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e2=tokens{1}{2};
            f2{l2}=e2;
            l2=l2+1;
        end
        if (d3==0) %Distance
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e3=tokens{1}{2};
            f3{l3}=e3;
            l3=l3+1;
        end
        if (d4==0) %Latitude
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e4=tokens{1}{2};
            f4{l4}=e4;
            l4=l4+1;
        end
        if (d5==0) %Longitude
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e5=tokens{1}{2};
            f5{l5}=e5;
            l5=l5+1;
        end
        if (d6==0) %Elevation
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e6=tokens{1}{2};
            f6{l6}=e6;
            l6=l6+1;
        end
        stra=fgetl(FID);
        pwxs{1}=f0;
        pwxs{2}=f2;
        pwxs{3}=f3;
        pwxs{4}=f1;
        pwxs{5}=f4;
        pwxs{6}=f5;
        pwxs{7}=f6;
    end
    pwxer{k}={name,pwxs};
end

clear i j k 
% Omforme alle string til tall
for i=1:length(pwxer)
    for j=1:7
        lengde=length(pwxer{1,i}{1,2}{1,j})
        for k=1:lengde
            pwxer{1,i}{1,2}{1,j}{1,k}=str2double(pwxer{1,i}{1,2}{1,j}{1,k});
        end
    end
end
% Omforme cellene til double
clear i a
for i=2:length(pwxer)
    for j=1:7
    a{j}=cell2mat(pwxer{1,1}{1,2}{1,j})
    end
    kru{1,i}=a
%end
%end


end
end
