function [xmler,f0] = readingXml(d21,type,sorter,pwddir)
%Funksjon for  lese inn TCX-filene
k = strfind(type,'xml');
kk=find(not(cellfun('isempty',k)));
indexXml=sorter{1,kk};
expression = '<(\w+).*>(.*)</\1>'; 
string0='HEARTRATE';
string1='SPEED';
string2='ALTITUDE';
string3='DISTANCE';
for k=1:length(indexXml)
%for k=1:1
    f0=[];
    f1=[];
    f2=[];
    f3=[];
    f00=[];
    l0=1;
    l1=1;
    l2=1;
    l3=1;
    i=0;
    fullFileXml=fullfile(pwddir,d21{indexXml(k),1});
    name=d21{indexXml(k),1};
    name=name(:,1:5);
    stringXml=char(fullFileXml)
    FID=fopen(stringXml);
    stra=fgetl(FID);
    while ischar(stra)
        c0=strfind(stra,string0); % Heartrate
        c1=strfind(stra,string1); % Speed
        c2=strfind(stra,string2); % Altitude
        c3=strfind(stra,string3); % Distance
        d0=isempty(c0);
        d1=isempty(c1);
        d2=isempty(c2);
        d3=isempty(c3);
        if (d0==0)
            stra=fgetl(FID);
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e0=tokens{1}{2};
            f0{l0}=e0           
            l0=l0+1
        end
        if (d1==0)
            stra=fgetl(FID);
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e1=tokens{1}{2};
            f1{l1}=e1;
            l1=l1+1;
        end
        if (d2==0)
            stra=fgetl(FID);
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e2=tokens{1}{2};
            f2{l2}=e2;
            l2=l2+1;
        end
        if (d3==0)
            stra=fgetl(FID);
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e3=tokens{1}{2};
            f3{l3}=e3;
            l3=l3+1;
        end
        stra=fgetl(FID);
    xmls{2}=f3;
    xmls{3}=f1;
    xmls{4}=f0;
    xmls{7}=f2;
    end
    fop=length(f0{1,1})
    f00=zeros(1,fop);
    f00=f00';
    xmls{1}=f00;
    xmls{5}=f00;
    xmls{6}=f00;
    xmler{k}={name,xmls};
end
for i=1:length(xmler)
    for k=1:7
        for l=1:length(xmler{1,i}{1,2})
            xmler{1,i}{1,2}{l,k}=str2double(xmler{1,i}{1,2}{l,k})
        end
    end
end
for i=1:length(xmler)
    h=cell2mat(xmler{1,i}{1,2})
    xmler{1,i}{1,2}=h
end
end