function [mur,s2,sty]=histog(ta,bw,str)
% str - Velger om man vil normalisere 
% string - om man vil plotte eller kun generere tall
% bw - step breidde
close all;
if (str=='N')
    'Fremstilling med normaliserte verdier'
    aa=6;
    xc=bw:bw:1.05;
    bb=0.4; cc=1.25;
else 
    'Vanlig uten normaliserte verdier'
    aa=4;
    xc=bw:bw:250;
    bb=100; cc=210;
end
b=1;
hard=zeros(1,length(xc));hard1=zeros(1,length(xc));hard2=zeros(1,length(xc));
y0=[];y1=[];y2=[];
for i=1:length(ta)
    if(ta{i,5}==0)
        x=ta{i,aa};
        hmm=hist(x,xc)/length(x);
        hard=hmm+hard;
        y0=vertcat(y0,x);
    end
    if(ta{i,5}==1)
        x1=ta{i,aa};
        hmm1=hist(x1,xc)/length(x1);
        hard1=hmm1+hard1;
        y1=vertcat(y1,x1);
    end
    if(ta{i,5}==2)
        x2=ta{i,aa};
        hmm2=hist(x2,xc)/length(x2);
        hard2=hmm2+hard2;
        y2=vertcat(y2,x2);
    end
end

yr=hard.*xc;yrt=sum(yr);mu=yrt/sum(hard);
yr=hard1.*xc;yrt=sum(yr);mu1=yrt/sum(hard1);
yr=hard2.*xc;yrt=sum(yr);mu2=yrt/sum(hard2);
mur=[mu;mu1;mu2];
for i =1:length(y0)
    sigmaSq(i,1)=(y0(i,1)-mu).^2;
end
s2(1,1)=sum(sigmaSq(:,1))/length(y0);
clear sigmaSq
for i =1:length(y1)
    sigmaSq(i,1)=(y1(i,1)-mu1).^2;
end
s2(2,1)=sum(sigmaSq(:,1))/length(y1);
clear sigmaSq
for i =1:length(y2)
    sigmaSq(i,1)=(y2(i,1)-mu2).^2;
end
s2(3,1)=sum(sigmaSq(:,1))/length(y2);
clear sigmaSq
pw1=8/30;pw2=22/30;%mu=150.64;mu1=163.71;s2(1)=161.37;s2(2)=169.52;%s1=sqrt(ss1);s2=sqrt(ss2);
syms xx      
%(2*s2(1)*s2(2)*(log(pw1/s1)-log(pw2/s2))-((x^2-2*mu1*x+mu1^2)*ss2)+((x^2-2*mu2*x+mu2^2)*ss1)
sty=vpasolve(2*s2(1)*s2(2)*(log(pw1/sqrt(s2(1)))-log(pw2/sqrt(s2(2))))-((xx^2-2*mu*xx+mu^2)*s2(2))+((xx^2-2*mu1*xx+mu1^2)*s2(1))==0,xx)
sty=double(sty)
sty=sty(2,1)

figure(1)
b=bar(xc,hard,1,'r');
ch=get(b,'child');
set(ch,'facea',.4); 
xlim([bb cc]);
xlabel('Hjerterate');hold on

b=bar(xc,hard1,1,'g');
ch=get(b,'child');
set(ch,'facea',.3);

b=bar(xc,hard2,1,'b');
ch=get(b,'child');
set(ch,'facea',.1);
legend('HT m/prob','HT u/prob','LT'); hold off

figure(2)
b=bar(xc,hard,1,'r');
ch=get(b,'child');
set(ch,'facea',.8); 
xlabel('Hjerterate');hold on

b=bar(xc,hard1,1,'g');
ch=get(b,'child');
set(ch,'facea',.6);

by=max(hard1);
hyt=stem(sty,by);
set(hyt,'Linewidth',2);
hold off
legend('HT m/prob','HT u/prob','Valggrense')
xlim([bb cc]); hold off

figure(3)

hard=smooth(hard);hard1=smooth(hard1);hard2=smooth(hard2);

as=sum(hard1)/sum(hard);
hard1=hard1/as;
as=sum(hard2)/sum(hard);
hard2=hard2/as;

h1=plot(xc,hard,'r'); hold on
h11=plot(xc,hard1,'g');
h111=plot(xc,hard2,'b');
h12=[h1,h11,h111];
set(h12,'Linewidth',2);
legend('HT m/prob','HT u/prob','LT');
xlim([bb cc]);
xlabel('Hjerterate');
ylabel('Normaliserte verdier');

figure(4)
h1=plot(xc,hard,'r'); hold on
h11=plot(xc,hard1,'g');
h12=[h1,h11];
set(h12,'Linewidth',2);
legend('HT m/prob','HT u/prob');
xlim([bb cc]);
xlabel('Hjerterate');
ylabel('Normaliserte verdier');

figure(5)
h1=plot(xc,hard,'r');hold on
h11=plot(xc,hard2,'b');
h12=[h1,h11];
set(h12,'Linewidth',2);
legend('HT m/prob','LT');
xlim([bb cc]);
xlabel('Hjerterate');
ylabel('Normaliserte verdier'); 
end
