function [y,c]=kvartil(HR,print,val) %m kjres med utgangsvariablene til funksjonen 
% % fungerendeDistanseTabell
% Case 1 plotter median, vre og nedre kvartil
% Case 2 plotter kun median
% Case 3 setter sammen HTu/prob og lt og plotter de mot HRm/prob

% if (length(HR(:,1))~=183)
%     error('Denne funksjonen fungerer kun for mat-filen "filer"');
% end
load elev    
if (HR(1,2)==25000)
    hoyde1='100 m'; hoyde2='200 m';
    hoyde3=105;hoyde4=187;
    bXTickLabel={'26','27','28','29','30','31'};
end
if (HR(1,2)==32500)
    hoyde1='206 m';hoyde2='50 m';
    hoyde3=196;hoyde4=130;
    bXTickLabel={'33','34','35','36','37','38','39'};
end
if (HR(1,2)==69100)
    hoyde1='30 m'; hoyde2='85 m';
    hoyde3=118; hoyde4=140;
    bXTickLabel={'69.2','69.4','69.6','69.8','70','70.2','70.4'};
end
if (HR(1,2)==72000)
    hoyde1='75 m';hoyde2='20 m';
    hoyde3=135;hoyde4=115;
    bXTickLabel={'72.2','72.4','72.6','72.8','73','73.2','73.4'};
end
if (HR(1,2)==100)
    hoyde1='0 m';hoyde2='0 m';
    hoyde3=100;hoyde4=90;
    bXTickLabel={'10','20','30','40','50','60','70','80'};
end
switch print
    case '1' % Plotter medianene og kvartilene
        clear x y a
        valg=val;
        val=0;
        c=HR(1,2);
        for i=2:length(HR(1,:))
            clear a x;
            a=HR(9:25,i);
            x=prctile(a,[25 50 75]);
            y(2,1)=0.25;y(3,1)=0.50;y(4,1)=0.75;
            y(2:4,i)=x;
            y(1,i)=c+val;
            val=val+valg;
        end
        for i=1:length(y)
            for j=1:length(y(:,1))
                if (y(j,i)==0)
                    y(j,i)=NaN;
                end
            end
        end
        hTuPsum=nansum(y(3,2:end));
        val=y(1,3)-y(1,2);
        x=c:val:y(1,end);
        xx=[x,fliplr(x)];
        yy=[y(4,2:end),fliplr(y(2,2:end))];
        h10=fill(xx,yy,'b','FaceAlpha',0.2); hold on
        plot(x,y(3,2:end));
        h11=plot(x,y(2,2:end),'b');
        h111=plot(x,y(4,2:end),'b');
        set(h11,'Color','blue','LineWidth',2);
        set(h111,'Color','blue','LineWidth',2);
        hTuP=y(3,2:end);
        %Trenger denne for  finne maks forskjell i median
        % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
        clear x y a xx yy
        valg=val;
        val=0;
        c=HR(1,2);
        for i=2:length(HR(1,:))
            clear a x;
            a=HR(26:end,i);
            x=prctile(a,[25 50 75]);
            y(2,1)=0.25;y(3,1)=0.50;y(4,1)=0.75;
            y(2:4,i)=x;
            y(1,i)=c+val;
            val=val+valg;
        end
        for i=1:length(y)
            for j=1:length(y(:,1))
                if (y(j,i)==0)
                    y(j,i)=NaN;
                end
            end
        end
        lTsum=nansum(y(3,2:end));
        val=y(1,3)-y(1,2);
        x=c:val:y(1,end);
        xx=[x,fliplr(x)];
        yy=[y(4,2:end),fliplr(y(2,2:end))];
        h12=fill(xx,yy,'r','FaceAlpha',0.4); 
        plot(x,y(3,2:end),'r');
        h19=plot(x,y(2,2:end),'r');
        h20=plot(x,y(4,2:end),'r');
        set(h19,'Color','red','LineWidth',2)
        set(h20,'Color','red','LineWidth',2)
        lT=y(3,2:end);
        %Trenger denne for  finne maks forskjell i median
        % % % % % % % % % % % % % % % % % % % % % % % %
        clear x y a
        valg=val;
        val=0;
        c=HR(1,2);
        for i=2:length(HR(1,:))
            clear a x;
            a=HR(2:8,i);
            x=prctile(a,[25 50 75]);
            y(2,1)=0.25;y(3,1)=0.50;y(4,1)=0.75;
            y(2:4,i)=x;
            y(1,i)=c+val;
            val=val+valg;
        end
        for i=1:length(y)
            for j=1:length(y(:,1))
                if (y(j,i)==0)
                    y(j,i)=NaN;
                end
            end
        end
        clear x xx yy val
        hTmPsum=nansum(y(3,2:end));
        lang=length(y(3,2:end));
        val=y(1,3)-y(1,2);
        x=c:val:y(1,end);
        xx=[x,fliplr(x)];
        yy=[y(4,2:end),fliplr(y(2,2:end))];
        h14=fill(xx,yy,'g','FaceAlpha',0.2); 
        plot(x,y(3,2:end),'g');
        h22=plot(x,y(2,2:end),'g');
        h23=plot(x,y(4,2:end),'g');
        set(h22,'Color','green','LineWidth',2);
        set(h23,'Color','green','LineWidth',2);
        set(gca,'XTickLabel',bXTickLabel)
        c=HR(1,2);
        if (y(3,5)>=10)
            xlim([c+val y(1,end)-val]);
            axis 'auto y'
            yl=ylim;
            xl=xlim;
            xlabel('Kilometer');ylabel('Hjerterate');
            prelev=elev(:,2)/2;prelev=prelev+100;
            ast=plot(elev(:,1),prelev(:,1));
            asta(1)=text(xl(1)+((xl(2)-xl(1))/30),hoyde3,hoyde1);
            asta(2)=text(xl(2)-((xl(2)-xl(1))/13),hoyde4,hoyde2);
            set(ast,'Color','black','LineWidth',3)
            set(asta,'fontw','bold','fonts',9)
        end
        if (y(3,5)<2)
            xlim([c+val y(1,end)-val])
            axis 'auto y'
            xl=xlim
            xlabel('Kilometer');ylabel('Normalisert Hjerterate');
            forsk=(.97-.74)/100;
            prelev=elev(:,2)*forsk;prelev=prelev+.74;
            ast=plot(elev(:,1),prelev(:,1));
            asta(1)=text(xl(1)+((xl(2)-xl(1))/30),hoyde3,hoyde1);
            asta(2)=text(xl(2)-((xl(2)-xl(1))/13),hoyde4,hoyde2);
            set(ast,'Color','black','LineWidth',3)
            set(asta,'fontw','bold','fonts',9)
        end
        legend([h10,h12,h14,ast],{'HT u/prob','LT','HT m/prob','Hydeprofil'});  
        
        hTmP=y(3,2:end); 
        
        clear a
        a(1,1)=length(hTmP);a(1,2)=length(hTuP);a(1,3)=length(lT);
        mini=min(a); % Finne den korteste vektoren for  eliminere resten.
        hTmP=hTmP(1:mini);hTuP=hTuP(1:mini);lT=lT(1:mini);
        c=vertcat(hTmP,hTuP,lT);
        for i=1:length(hTmP(1,:))
            b(i)=max(c(:,i))-min(c(:,i));
        end
        maks=max(b);
        clear d e 
        e=1;
        for i=1:length(hTmP(1,:))
            if (max(c(:,i))-min(c(:,i))==maks)
                d(e)=i;
                e=e+1;
            end
        end
        c=HR(1,2);
        maks
        %y=[hTmPsum hTuPsum lTsum lang];
        for i=1:length(d)
            herEdEn=(valg*d(i))+c
        end
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        
    case '2' % Plotter kun Medianene
        clear x y a
        valg=val;
        val=0;
        c=HR(1,2);
        for i=2:length(HR(1,:))
            clear a x;
            a=HR(2:8,i);
            x=prctile(a,[25 50 75]);
            y(2,1)=0.25;y(3,1)=0.50;y(4,1)=0.75;
            y(2:4,i)=x;
            y(1,i)=c+val;
            val=val+valg;
        end
        for i=1:length(y)
            for j=1:length(y(:,1))
                if (y(j,i)==0)
                    y(j,i)=NaN;
                end
            end
        end
        val=y(1,3)-y(1,2);
        x=c:val:y(1,end);
        plot(x,y(3,2:end),'b-'); hold on
        %  %  %   %   %   %   %   %   %    %   %    %    %
        clear x y a
        valg=val;
        val=0;
        c=HR(1,2);
        for i=2:length(HR(1,:))
            clear a x;
            a=HR(9:25,i);
            x=prctile(a,[25 50 75]);
            y(2,1)=0.25;y(3,1)=0.50;y(4,1)=0.75;
            y(2:4,i)=x;
            y(1,i)=val+c;
            val=val+valg;
        end
        for i=1:length(y)
            for j=1:length(y(:,1))
                if (y(j,i)==0)
                    y(j,i)=NaN;
                end
            end
        end
        val=y(1,3)-y(1,2);
        x=c:val:y(1,end);
        plot(x,y(3,2:end),'k-');      
        
        %  %  %   %   %   %   %   %   %    %   %    %    %
        clear x y a
        valg=val;
        val=0;
        c=HR(1,2);
        for i=2:length(HR(1,:))
            clear a x;
            a=HR(26:end,i);
            x=prctile(a,[25 50 75]);
            y(2,1)=0.25;y(3,1)=0.50;y(4,1)=0.75;
            y(2:4,i)=x;
            y(1,i)=val+c;
            val=val+valg;
        end
        for i=1:length(y)
            for j=1:length(y(:,1))
                if (y(j,i)==0)
                    y(j,i)=NaN;
                end
            end
        end
        
        val=y(1,3)-y(1,2);
        x=c:val:y(1,end);
        plot(x,y(3,2:end),'r-');
        if (y(3,5)>=10)
            xlim([c+val y(1,end)-val]);
            axis 'auto y'
            yl=ylim;
            xl=xlim;
            xlabel('Meter');ylabel('Hjerterate');
            prelev=elev(:,2)/2;prelev=prelev+100;
            ast=plot(elev(:,1),prelev(:,1));
            asta(1)=text(xl(1)+((xl(2)-xl(1))/30),hoyde3,hoyde1);
            asta(2)=text(xl(2)-((xl(2)-xl(1))/13),hoyde4,hoyde2);hold off
            set(ast,'Color','black','LineWidth',3)
            set(asta,'fontw','bold','fonts',9)
            set(gca,'XTickLabel',bXTickLabel)
        end
        if (y(3,5)<2)
            xlim([c+val y(1,end)-val]);
            axis 'auto y'
            xl=xlim;
            xlabel('Meter');ylabel('Normalisert Hjerterate');
            forsk=(.97-.74)/100;
            prelev=elev(:,2)*forsk;prelev=prelev+.74;
            ast=plot(elev(:,1),prelev(:,1));
            asta(1)=text(xl(1)+((xl(2)-xl(1))/30),hoyde3,hoyde1);
            asta(2)=text(xl(2)-((xl(2)-xl(1))/13),hoyde4,hoyde2); hold off
            set(ast,'Color','black','LineWidth',3)
            set(asta,'fontw','bold','fonts',9)
            set(gca,'XTickLabel',bXTickLabel)
        end
        legend('ht m/prob','ht u/prob','lt','hyde')
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        
    case '3' % Deles inn i 2 grupper, ikke 3.
        clear x y a
        valg=val;
        val=0;
        c=HR(1,2);
        for i=2:length(HR(1,:))
            clear a x;
            a=HR(9:25,i);
            x=prctile(a,[25 50 75]);
            y(2,1)=0.25;y(3,1)=0.50;y(4,1)=0.75;
            y(2:4,i)=x;
            y(1,i)=c+val;
            val=val+valg;
        end
        y=y(:,1:end-2);
        for i=2:length(y)
            for j=1:length(y(:,1))
                if (y(j,i)==0)
                    %y(:,end)=NaN;
                    y=y(:,1:end-1);
                end
            end
        end
        val=y(1,3)-y(1,2);
        x=c:val:y(1,end);
        xx=[x,fliplr(x)];
        yy=[y(4,2:end),fliplr(y(2,2:end))];
        h10=fill(xx,yy,'b','FaceAlpha',0.2); hold on
        h11=plot(x,y(3,2:end));
        h12=plot(x,y(2,2:end),'b');
        h13=plot(x,y(4,2:end),'b');
        set(h12,'Color','blue','LineWidth',2);
        set(h13,'Color','blue','LineWidth',2);
        uP=y(2:end,2:end);
        %Trenger denne for  finne maks forskjell i median
        % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
        clear x y a
        valg=val;
        val=0;
        c=HR(1,2);
        for i=2:length(HR(1,:))
            clear a x;
            a=HR(2:8,i);
            x=prctile(a,[25 50 75]);
            y(2,1)=0.25;y(3,1)=0.50;y(4,1)=0.75;
            y(2:4,i)=x;
            y(1,i)=c+val;
            val=val+valg;
        end
        for i=1:length(y)
            for j=1:length(y(:,1))
                if (y(j,i)==0)
                    y(j,i)=NaN;
                end
            end
        end
        lang=length(y(3,2:end));
        val=y(1,3)-y(1,2);
        x=c:val:y(1,end);
        xx=[x,fliplr(x)];
        yy=[y(4,2:end),fliplr(y(2,2:end))];
        h14=fill(xx,yy,'g','FaceAlpha',0.2); 
        h15=plot(x,y(3,2:end),'g');
        h22=plot(x,y(2,2:end),'g');
        h23=plot(x,y(4,2:end),'g');
        set(h22,'Color','green','LineWidth',2);
        set(h23,'Color','green','LineWidth',2);
        c=HR(1,2);
        hT=y(2:end,2:end);
        set(gca,'XTickLabel',bXTickLabel)
        if (y(3,5)>=10)
            xlim([c+val y(1,end)-val]);
            axis 'auto y'
            yl=ylim;
            xl=xlim;
            xlabel('Meter');ylabel('Hjerterate');
            prelev=elev(:,2)/2;prelev=prelev+100;
            ast=plot(elev(:,1),prelev(:,1));
            asta(1)=text(xl(1)+((xl(2)-xl(1))/30),hoyde3,hoyde1);
            asta(2)=text(xl(2)-((xl(2)-xl(1))/13),hoyde4,hoyde2);
            set(ast,'Color','black','LineWidth',3)
            set(asta,'fontw','bold','fonts',9)
        end
        if (y(3,5)<2)
            xlim([c+val y(1,end)-val]);
            axis 'auto y'
            xl=xlim;
            xlabel('Meter');ylabel('Normalisert Hjerterate');
            forsk=(.97-.74)/100;
            prelev=elev(:,2)*forsk;prelev=prelev+.74;
            ast=plot(elev(:,1),prelev(:,1));
            asta(1)=text(xl(1)+((xl(2)-xl(1))/30),hoyde3,hoyde1);
            asta(2)=text(xl(2)-((xl(2)-xl(1))/13),hoyde4,hoyde2);
            set(ast,'Color','black','LineWidth',3)
            set(asta,'fontw','bold','fonts',9)
        end
        title('Deltagere med hy troponin');
        legend([h10,h14,ast],{'u/prob','m/prob','Hydeprofil'});  
        
        clear a
        a(1,1)=length(hT);a(1,2)=length(uP);
        mini=min(a); % Finne den korteste vektoren for  eliminere resten.
        hT=hT(1:end,1:mini);uP=uP(1:end,1:mini);
        c=vertcat(hT,uP);
        b(1,1)=abs(sum(c(1,:))-sum(c(4,:)));
        b(2,1)=abs(sum(c(2,:))-sum(c(5,:)));
        b(3,1)=abs(sum(c(3,:))-sum(c(6,:)));
        b=b/length(c(1,:));
        for i=1:length(hT(1,:))
            g(i)=max(c(:,i))-min(c(:,i));
        end
        maks=max(g);
        clear d e 
        e=1;
        for i=1:length(hT(1,:))
            if (max(c(:,i))-min(c(:,i))==maks)
                d(e)=i;
                e=e+1;
            end
        end
        c=HR(1,2);
        maks
        %y=[hTmPsum hTuPsum lTsum lang];
        for i=1:length(d)
            herEdEn=(valg*d(i))+c
        end
        y=b;
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
        % Gjennomsnittsverdier (Sammenligning med median)
        
end
        % b fungerer ikke slik den skal. Den kalkulerer ikke riktig lenger.
        % Se p hoydeBehandling for  finne problemet...
        
end
