function [ tcxer ] = readingTcx(d21,type,sorter,pwddir)

%Funksjon for  lese inn TCX-filene
k = strfind(type,'tcx');
kk=find(not(cellfun('isempty',k)));
indexTcx=sorter{1,kk};
expression = '<(\w+).*>(.*)</\1>'; 
string0='<Time>';
string1='<LatitudeDegrees>';
string2='<LongitudeDegrees>';
string3='<AltitudeMeters>';
string4='<DistanceMeters>';
string5='<HeartRateBpm>';
for k=1:length(indexTcx)
%for k=1:1
    clear stra;
    clear FID;
    l0=1;l1=1;l2=1;l3=1;l4=1;l5=1;
    f0=[];f1=[];f2=[];f3=[];f4=[];f5=[];f00=[];
    fullFileTcx=fullfile(pwddir,d21{indexTcx(k),1});
    name=d21{indexTcx(k),1};
    name=name(:,1:5);
    stringTcx=char(fullFileTcx);
    FID=fopen(stringTcx);
    stra=fgetl(FID);
    while ischar(stra)
    %for i=1:400
        c0=strfind(stra,string0); % Time
        c1=strfind(stra,string1); % Latitude
        c2=strfind(stra,string2); % Longitude
        c3=strfind(stra,string3); % Altitude
        c4=strfind(stra,string4); % Distance
        c5=strfind(stra,string5); % HeartRate
        d0=isempty(c0);
        d1=isempty(c1);
        d2=isempty(c2);
        d3=isempty(c3);
        d4=isempty(c4);
        d5=isempty(c5);
        if (d0==0)
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e0=tokens{1}{2};
            f0{l0}=e0;
            l0=l0+1;
        end
        if (d1==0)
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e1=tokens{1}{2};
            f1{l1}=e1;
            l1=l1+1;
        end
        if (d2==0)
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e2=tokens{1}{2};
            f2{l2}=e2;
            l2=l2+1;
        end
        if (d3==0)
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e3=tokens{1}{2};
            f3{l3}=e3;
            l3=l3+1;
        end
        if (d4==0)
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e4=tokens{1}{2};
            f4{l4}=e4;
            l4=l4+1;
        end
        if (d5==0)
            stra=fgetl(FID);
            [tokens,matches] = regexp(stra,expression,'tokens','match');
            %celldisp(tokens);
            e5=tokens{1}{2};
            f5{l5}=e5;
            f00{l5}=0;
            l5=l5+1;
        end
        stra=fgetl(FID); 
        tcxs{1}=f0;
        tcxs{2}=f00;
        tcxs{3}=f4;
        tcxs{4}=f5;
        tcxs{5}=f2;
        tcxs{6}=f1;
        tcxs{7}=f00;
    end
    tcxer{k}={name,tcxs};
end
clear s m
for i=1:length(tcxer) %Set all cell to matrix
    tcxer{1,i}{1,2}=cell2mat(tcxer{1,i}{1,2});
end
tcxer;

end

